---

Canonical Fixes Linux Kernel Regression in All Supported Ubuntu Releases

Last week, Canonical released Linux kernel updates for all supported Ubuntu releases to address several security vulnerabilities discovered by Jonathan Looney in Linux kernel’s TCP retransmission queue implementation when handling some specific TCP Selective Acknowledgment (SACKs). Known as SACK Panic, these security vulnerabilities affect Ubuntu 19.04, Ubuntu 18.10, Ubuntu 18.04 LTS, and Ubuntu 16.04 LTS systems and could allow a remote attacker to crash the affected systems by causing a denial of service by constructing an ongoing sequence of requests.